Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.35
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class ConcurrentMessageDigest

    java.lang.Object
      org.apache.catalina.util.ConcurrentMessageDigest

    public class ConcurrentMessageDigest

extends Object

A thread safe wrapper around `MessageDigest` that does not make use of ThreadLocal and - broadly - only creates enough MessageDigest objects to satisfy the concurrency requirements.

Method Summary
`static byte[]` | `digest(String algorithm, byte[] input)`
`static byte[]` | `digestMD5(byte[] input)`
`static void` | `init(String algorithm)` Ensures that `digest(String, byte[])` will support the specified algorithm.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### digestMD5

    public static byte[] digestMD5(byte[] input)

### digest

    public static byte[] digest(String algorithm,
                                byte[] input)

### init

    public static void init(String algorithm)
                     throws NoSuchAlgorithmException

  Ensures that `digest(String, byte[])` will support the specified algorithm. This method must be called and return successfully before using `digest(String, byte[])`.

  Parameters:
    `algorithm` - The message digest algorithm to be supported
  Throws:
    `NoSuchAlgorithmException` - If the algorithm is not supported by the JVM

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.35
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.